petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatProductType

indicates what type of matrix product is requested

### Synopsis

    typedef enum {MATPRODUCT_AB,MATPRODUCT_AtB,MATPRODUCT_ABt,MATPRODUCT_PtAP,MATPRODUCT_RARt,MATPRODUCT_ABC} MatProductType;

### See Also

MatSolverType, MatProductSetType()

### Level

beginner

### Location

src/mat/../../include/petscmat.h

### Examples

src/tao/pde_constrained/tutorials/parabolic.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages